Subject: Re: make --win32 incorrectly handles PATH
From: "Lassi A. Tuura" <[email-masked]>
To: Scott Carter <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Fri, 21 Jul 2000 08:11:43 +0200

You could try something like
  export PATH := $(PATH):$(EXTRA_PATH)
in your makefile.

I would expect that to do the right thing in unixy mode -- not having
the extra space and exporting the changed value to a subprocesses. 
Whether that will actually make it to %PATH% under Win32 I have no idea,
and unfortunately can't test right now...

Using the above in a recursive make may cause your $PATH to get awfully
long.  It could make a difference if you have a long path of unreachable
network shares, or because you might overflow the environment space.

Hope this helps,
//lat
-- 
I think we're in trouble.  --Han Solo

--
Want to unsubscribe from this list?
Send a message to [email-masked]